DELETE api/Subject
Request Information
URI Parameters
None.
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"3151f03d-25bf-40f9-b172-914af7ff441a",
"cdf902a5-6445-476a-abb9-095db84da6f1"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "1650d729-df35-48bc-b61d-acc483883a4c",
"image_id": "238e7d98-ca70-4d96-874d-dbf1fc0562c4",
"id_user_work_position": "24b45aef-26b2-42da-a4d5-d4cded219d10",
"id_shift": "ea088206-e38f-4950-83c9-8c2804ab8c32",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-05T19:53:58Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "1650d729-df35-48bc-b61d-acc483883a4c",
"image_id": "238e7d98-ca70-4d96-874d-dbf1fc0562c4",
"id_user_work_position": "24b45aef-26b2-42da-a4d5-d4cded219d10",
"id_shift": "ea088206-e38f-4950-83c9-8c2804ab8c32",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-05T19:53:58Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>3151f03d-25bf-40f9-b172-914af7ff441a</d2p1:guid>
<d2p1:guid>cdf902a5-6445-476a-abb9-095db84da6f1</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-05-05T21:53:58.8093111+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>1650d729-df35-48bc-b61d-acc483883a4c</id>
<id_shift>ea088206-e38f-4950-83c9-8c2804ab8c32</id_shift>
<id_user_work_position>24b45aef-26b2-42da-a4d5-d4cded219d10</id_user_work_position>
<image_id>238e7d98-ca70-4d96-874d-dbf1fc0562c4</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-05T21:53:58.8093111+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>1650d729-df35-48bc-b61d-acc483883a4c</id>
<id_shift>ea088206-e38f-4950-83c9-8c2804ab8c32</id_shift>
<id_user_work_position>24b45aef-26b2-42da-a4d5-d4cded219d10</id_user_work_position>
<image_id>238e7d98-ca70-4d96-874d-dbf1fc0562c4</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>